package com.cmeeting.service;

import cn.hutool.core.lang.tree.Tree;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cmeeting.pojo.SysUserSyncCategory;

import java.util.List;
import java.util.Map;

/**
 * 外接系统部门表(SysUserSyncCategory)表服务接口
 *
 * @author makejava
 * @since 2024-04-25 14:22:52
 */
public interface ISysUserSyncCategoryService extends IService<SysUserSyncCategory> {

    String getPath(String deptId, Map<String, String> map);

    List<Tree<String>> tree();

    List<SysUserSyncCategory> selectParentIdNoInId(String search);

    String getPathName(String deptId, Map<String, String> parentIdMap, Map<String, String> nameMap);
}
